Skip to main content
GET
/
report
Retrieve Custom Report
curl --request GET \
  --url https://api.nuwebgroup.com/v1/report \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "reports",
    "id": 1,
    "attributes": {
      "name": "Report name",
      "description": "Report description"
    },
    "links": {
      "first": "http://api.upton.com/v1/report?id=1&page=2",
      "last": "http://api.upton.com/v1/report?id=1&page=2",
      "prev": null,
      "next": null,
      "self": "http://api.upton.com/v1/report?id=1"
    },
    "meta": {
      "total": 1,
      "pageTotal": 1,
      "limit": 10
    },
    "rows": [
      {
        "barcode": "PREF-RO3PM2VPE1",
        "purchaserEmail": "john@example.com",
        "itemName": "Ticket 3",
        "itemStatus": "valid",
        "orderReference": "3RJPYN0GZV",
        "reservationCompletedAt": "Fri, 18th February, 2022 10:56 AM",
        "eventName": "Event 2020",
        "firstScanInDate": null,
        "customHeader": "custom value"
      }
    ],
    "dataLastSynchronised": "2022-02-22T12:54:22.000000Z",
    "headers": {
      "barcode": "Barcode",
      "purchaserEmail": "Purchaser email",
      "itemName": "Item name",
      "itemStatus": "Item status",
      "orderReference": "Order reference",
      "reservationCompletedAt": "Reservation completed at",
      "eventName": "Event name",
      "firstScanInDate": "First scan in date",
      "customHeader": "Custom header"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

id
integer

The custom report ID.

page
integer

The page you wish to retrieve reports.

limit
integer

Number of results per page. Max value is 100 for synchronous requests, or 1000 for asynchronous requests

refresh
boolean
default:false

For performance reasons, some of our reports are cached for a short period of time. Cached results are signified if the dataLastSynchronised attribute exists in the body of the response. To clear this cache, set this value to true.

filter
object

Filter overrides to apply for this request only. These are merged with the saved report filters (overrides take precedence). A full list of available filter keys can be found in the respective report builder.

headers
string[]

Header overrides for this request. By default, these are merged with the saved report headers. Set replaceHeaders=true to use only these headers instead. Both camelCase (e.g purchaserEmail) and snake_case (e.g purchaser_email) formats are accepted. A full list of available header keys can be found in the respective report builder.

replaceHeaders
boolean
default:false

When true, the headers parameter will completely replace the saved report headers instead of merging with them.

async
boolean

Whether to execute the request asyncronously

asyncUuid
string

UUID for the async request

Response

Successfully retrieved the custom report.

data
object